Bug 169032 - Allow reporting an issue for a NB project if it is a part of a Kenai project
Allow reporting an issue for a NB project if it is a part of a Kenai project
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Dvorak
issues@connecteddeveloper
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-23 12:29 UTC by Petr Dvorak
Modified: 2009-11-10 03:34 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-07-23 12:29:20 UTC
If a NB project is a part of a Kenai project with an issue tracker, it should be possible to submit a bug from the
projects view (we know the path NBProject>KenaiProject>IssueTracker, we can transitively retrieve an issue tracker for
the NB project).

Maybe it can be solved alongside the issue 169031 ("Indicate that NetBeans project is a part of the Kenai project in the
Projects view").
Comment 1 Tomas Pavek 2009-08-05 17:55:17 UTC
Let's try to plan for 6.8...
Comment 2 Tomas Pavek 2009-08-05 18:09:37 UTC
Mapping NB project -> Kenai project which determines the top level component in issue tracker is needed for this.

A nice to have would be also allow to map NB project to a subcomponent for more fine grained setup.

In case of nb.org support this would be complicated by that the hg repository will just one for all the projects on the
site, so no obvious way to map certain piece of code to a Kenai project.
Comment 3 Jan Becicka 2009-08-06 07:41:38 UTC
We need UI spec, Ondro.

Mapping from NbProject to Kenai project is not obvious, but still easy:

String remoteLocation = nbProject.getProjectDirectory().getAttribute("ProvidedExtensions.RemoteLocation");
KenaiProject prj = KenaiProject.forRepository(remoteLocation)

currently it does not work for external repositories (will be problem for nb.org).

Anyway, joshis, do you want this issue?








Comment 4 Ondrej Langr 2009-08-10 15:12:19 UTC
Suggested UI: 
http://saturn.czech.sun.com/wiki/view/KenaiProjectUI#section-KenaiProjectUI-KenaiSubmenuOnNetBeansProject

Reassigning back for implementation, please don't hesitate to contact me if anything is needed. 
Comment 5 Petr Dvorak 2009-08-13 19:01:21 UTC
Yes, I do... ;)
Comment 6 Petr Dvorak 2009-08-13 20:07:10 UTC
Just a brief discussion:

> String remoteLocation = nbProject.getProjectDirectory().getAttribute("ProvidedExtensions.RemoteLocation");
> KenaiProject prj = KenaiProject.forRepository(remoteLocation)

This does not work too well - "forRepository" tries to contact server, but I have to decide what popup menu to show
(Kenai/Share on Kenai) and it has to be quick... In other words - a quicker way of binding NBProject to Kenai project is
required. I will try to workaround this problem via the Kenai dashboard and Kenai/NB project connections it handles...
but this does not really decide if the project is on Kenai - it is more about if the project is opened in the Kenai
dashboard. Another implementation problem with this: issue tracking does not work for Kenai projects that are not
visible in the Kenai dashboard (only projects that are in the Kenai dashboard are in the Product combobox), so I would
have to open the project in the Kenai dashboard later anyway.

Ondro - if I have some NetBeans project that is hosted on Kenai (has Kenai.com repo) but it is not opened in the Kenai
dashboard (i.e. because user configured repository manually or closed it in the dashboard), what popup menu should be
displayed? Should it be "Share on Kenai" or "Kenai" submenu? IMO possible solution is to quickly determine that the
project has a Kenai repo (based on the URL) and to offer opening in the Kenai dashboard (it cannot be shared, but Kenai
services cannot be easily used with current API as it is not opened in the dashboard).
Comment 7 Petr Dvorak 2009-08-13 20:07:34 UTC
Ondro, any cool ideas? :)
Comment 8 Petr Dvorak 2009-08-13 20:12:54 UTC
... ok, it is too late - I meant "Honzo, any cool ideas..."
Comment 9 Jan Becicka 2009-08-14 07:26:28 UTC
KenaiProject.forRepository loads the project if it is not yet loaded.
Take a look at forRepository impl. there is a regular expression, which you can use for detection of kenai project.
Later we can create some new API.
Comment 10 Petr Dvorak 2009-08-14 09:26:01 UTC
OK - I have worked around this using the Kenai dashboard Nb/Kenai references and it seems to work quite nicely - once a
Kenai project is in the Kenai dashboard and has a reference to a NB project, the Kenai popup menu works fine on a NB
project... The regexp from "forRepository" does not solve the issue with popup menu slowness - it just moves it little
further: in the submenu of Kenai menu, you should display issue trackers only if the Kenai project has some -> you need
to get the project info anyway.

The question is what to do with the NB projects where we can guess are the Kenai projects, but they are not loaded in
the dashboard...
Comment 11 Ondrej Langr 2009-08-14 11:10:56 UTC
> The question is what to do with the NB projects where we can guess are the Kenai projects, 
> but they are not loaded in the dashboard...

Well .. here the Kenai submenu should be shown. 

We don't have any problems with versioning actions for these, right? 

But we have a problem with issue related actions for them, as they are not opened in dashboard, right? Issuetracking is
generally independent of Kenai, so if we are able to get repository address, we should be able to work with it. CCing
tstupka, who worked on versioning, he may be able to help. 
Comment 12 Petr Dvorak 2009-08-14 15:26:22 UTC
Fixed the part with reporting issues, I am opening a new issue to add versioning support in the popup menu (issue 170384).

http://hg.netbeans.org/cdev/rev/06c85858bc18
http://hg.netbeans.org/cdev/rev/e707a4f8f7c3

Comment 13 Petr Dvorak 2009-10-26 15:44:47 UTC
Verified, done for 6.8 - Kenai popup menu is present on the project's node if a repository is hosted on Kenai


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo